/*

http://www.devx.com/Java/Article/9931/1954



Java Listing 1. Integer Node Abstract Data Type.
This program listing is a Java class that represents a node that holds a single integer value and provides a link to another node object. Although this class does not seem to do much by itself, it can be used to build up more complex abstract data types.

*/

class IntNode implements java.io.Serializable
{
  private int data;
  private IntNode link;

  public IntNode (int initialData,
                  IntNode initialLink)
  {
    data = initialData;
    link = initialLink;
  }

  
  
  public int getData ()
  {
    return data;
  }

  public void setData (int newData)
  {
    data = newData;
  }

  public IntNode getLink ()
  {  
    return link;
  }

  public void setLink (IntNode newLink)
  {
    link = newLink;
  }
  
  
}
